JUCE: juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType > Struct Template Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType > Struct Template Reference
juce_dsp » processors

Converts a mono processor class into a multi-channel version by duplicating it and applying multichannel buffers across an array of instances. More...

`#include <juce_ProcessorDuplicator.h>`

## Public Member Functions
| ProcessorDuplicator ()
| ProcessorDuplicator (StateType *stateToUse)
| ProcessorDuplicator (typename StateType::Ptr stateToUse)
| ProcessorDuplicator (const ProcessorDuplicator &)=default
| ProcessorDuplicator (ProcessorDuplicator &&)=default
void | prepare (const ProcessSpec &spec)
void | reset () noexcept
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept

## Public Attributes
StateType::Ptr | state

## Detailed Description

template<typename MonoProcessorType, typename StateType>
struct juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >

Converts a mono processor class into a multi-channel version by duplicating it and applying multichannel buffers across an array of instances.

When the prepare method is called, it uses the specified number of channels to instantiate the appropriate number of instances, which it then uses in its process() method.

## Constructor & Destructor Documentation

## ◆ ProcessorDuplicator() [1/5]

template<typename MonoProcessorType , typename StateType >

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( |  | ) |

## ◆ ProcessorDuplicator() [2/5]

template<typename MonoProcessorType , typename StateType >

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | StateType * | stateToUse | ) |

## ◆ ProcessorDuplicator() [3/5]

template<typename MonoProcessorType , typename StateType >

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | typename StateType::Ptr | stateToUse | ) |

## ◆ ProcessorDuplicator() [4/5]

template<typename MonoProcessorType , typename StateType >

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | const ProcessorDuplicator< MonoProcessorType, StateType > & |  | ) |
| default

## ◆ ProcessorDuplicator() [5/5]

template<typename MonoProcessorType , typename StateType >

juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | ProcessorDuplicator< MonoProcessorType, StateType > && |  | ) |
| default

## Member Function Documentation

## ◆ prepare()

template<typename MonoProcessorType , typename StateType >

void juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::prepare | ( | const ProcessSpec & | spec | ) |

References juce::dsp::ProcessSpec::numChannels, and juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::state.

## ◆ reset()

template<typename MonoProcessorType , typename StateType >

void juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::reset | ( |  | ) |
| noexcept

## ◆ process()

template<typename MonoProcessorType , typename StateType >
template<typename ProcessContext >

void juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::process | ( | const ProcessContext & | context | ) |
| noexcept

References jassert, and jmin().

## Member Data Documentation

## ◆ state

template<typename MonoProcessorType , typename StateType >

StateType::Ptr juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::state

Referenced by juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::prepare().

The documentation for this struct was generated from the following file:

- juce_ProcessorDuplicator.h